use tiny_http::Request;

use crate::controller::Controller;

pub trait Router {
    fn new() -> Self;
    fn route(&self, request: Request);
    fn add_controller(&mut self, controller: impl Controller)
    where
        Self: Sized,
    {
        controller.register_routes(self);
    }
    fn add_route(&mut self, route: &str, route_function: fn(Request));
}
